'use strict';

process.chdir(__dirname);
const fs = require('fs');

fs.writeFileSync('pid.txt', process.pid);

const path = require('path');
const config = require('komodo-sdk/config');

process.title = (typeof config.name === 'string') ? config.name.toUpperCase() : `MODEM-${path.basename(config.modem.device).replace('tty', '').toUpperCase()}`;

if (!fs.existsSync(config.modem.device)) {
    process.exit(4);
}

require('./lib/http-command-server');
require('./lib/modem');
